%define upstream_name    File-PathList
%define upstream_version 1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Find a file within a set of paths (like @INC or Java classpaths)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Params::Util)
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
Many systems that map generic relative paths to absolute paths do so with a
set of base paths.

For example, perl itself when loading classes first turn a 'Class::Name'
into a path like 'Class/Name.pm', and then looks through each element of
'@INC' to find the actual file.

To aid in portability, all relative paths are provided as unix-style
relative paths, and converted to the localised version in the process of
looking up the path.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README LICENSE META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.40.0-13.mga10
+ Revision: 2203911
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.40.0-12.mga9
+ Revision: 1809290
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.40.0-11.mga8
+ Revision: 1504486
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.40.0-10.mga7
+ Revision: 1283696
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.40.0-9.mga7
+ Revision: 1164361
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 1.40.0-8.mga7
+ Revision: 1160186
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 1.40.0-7.mga6
+ Revision: 1027445
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.40.0-6.mga6
+ Revision: 945713
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.40.0-5.mga5
+ Revision: 746861
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.40.0-4.mga5
+ Revision: 684751
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.40.0-3.mga4
+ Revision: 511626
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.40.0-2.mga3
+ Revision: 367312
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.40.0-1.mga1
+ Revision: 28553
- mageia rebuild
- imported package perl-File-PathList

